The currently selected Visio driver is not compatible with the data source

—————————
Microsoft Visio
—————————
The currently selected Visio driver is not compatible with the data source.
—————————
OK
—————————

I created a new Data Source using the installed Microsoft SQL Server VISIO drivers: SQL Server Native Client 11.0 but when I try to use it appears the following error message:

The currently selected Visio driver is not compatible with the data source

The currently selected Visio driver is not compatible with the data source

Solution:
Use the Generic OLE DB Provider

Did my solution solve your problem? Leave a reply.

5 Replies to “The currently selected Visio driver is not compatible with the data source”

  1. Same issue but not able to select or create New datasource when we select Generic OLEDB Provider. I am using visio 2003 and sql server 2012.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.